--- old/usr/src/uts/sun4u/javelin/Makefile.targ	2013-12-14 21:35:02.453971559 -0500
+++ new/usr/src/uts/sun4u/javelin/Makefile.targ	2013-12-14 21:35:02.459647965 -0500
@@ -1,9 +1,9 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
 #
 # You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 # or http://www.opensolaris.org/os/licensing.
@@ -18,12 +18,65 @@
 #
 # CDDL HEADER END
 #
-# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
+#
+#	Common targets for sun4u Javelin implementation specific modules.
+#
+#
+
+IMPLEMENTED_PLATFORM    = SUNW,Ultra-250
+
+#
+# Platform targets
 #
+$(ROOT_JAVELIN_DIR): $(ROOT_PLAT_DIR)
+	-$(INS.dir)
+
+$(ROOT_JAVELIN_MOD_DIR): $(ROOT_JAVELIN_DIR)
+	-$(INS.dir)
+
+$(ROOT_JAVELIN_DRV_DIR_32): $(ROOT_JAVELIN_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_JAVELIN_DRV_DIR_64): $(ROOT_JAVELIN_DRV_DIR_32)
+	-$(INS.dir)
 
-UTSTREE=$(UTSBASE)
+$(ROOT_JAVELIN_MISC_DIR_32): $(ROOT_JAVELIN_MOD_DIR)
+	-$(INS.dir)
 
-include $(UTSBASE)/sun4u/javelin/Makefile.targ.shared
+$(ROOT_JAVELIN_MISC_DIR_64): $(ROOT_JAVELIN_MISC_DIR_32)
+	-$(INS.dir)
+
+$(USR_JAVELIN_DIR): $(USR_PLAT_DIR)
+	-$(INS.dir)
+
+$(USR_JAVELIN_INC_DIR): $(USR_JAVELIN_DIR)
+	-$(INS.slink4)
+
+$(USR_JAVELIN_SBIN_DIR): $(USR_JAVELIN_DIR)
+	-$(INS.slink5)
+
+$(USR_JAVELIN_LIB_DIR): $(USR_JAVELIN_DIR)
+	-$(INS.dir)
+
+$(USR_JAVELIN_ISYS_DIR): $(USR_JAVELIN_INC_DIR)
+	-$(INS.dir)
+
+$(ROOT_JAVELIN_MOD_DIR)/%: $(OBJS_DIR)/% $(ROOT_JAVELIN_MOD_DIR) FRC
+	$(INS.file)
+
+$(ROOT_JAVELIN_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_JAVELIN_MISC_DIR) FRC
+	$(INS.file)
+
+$(ROOT_JAVELIN_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_JAVELIN_DRV_DIR) FRC
+	$(INS.file)
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/sun4u/javelin/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.targ
